Package Details: drupalconsole 1.2.0-1

Git Clone URL: https://aur.archlinux.org/drupalconsole.git (read-only)
Package Base: drupalconsole
Description: The Drupal Console is a suite of tools that you run on a command line interface (CLI) to generate boilerplate code and interact with a Drupal 8 installation.
Upstream URL: http://drupalconsole.com/
Licenses: GPL
Submitter: sanduhrs
Maintainer: sanduhrs
Last Packager: sanduhrs
Votes: 2
Popularity: 0.011495
First Submitted: 2016-01-18 12:50
Last Updated: 2017-11-21 18:29

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

FMB commented on 2017-05-09 14:32

It now works fine with Drupal Console 1.0.0-rc18, thanks!

FMB commented on 2017-05-05 08:36

I get the following errors when I try to upgrade Drupal Console:

[RuntimeException]
The tag or commit hash could not be retrieved from "/tmp/yaourt-tmp-felip/aur-drupalconsole/src/drupal-console-lau
ncher-1.0.0-rc17": The tag or commit hash could not be retrieved from "/tmp/yaourt-tmp-felip/aur-drupalconsole/src
/drupal-console-launcher-1.0.0-rc17": fatal: Not a git repository (or any parent up to mount point /tmp)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

[RuntimeException]
The tag or commit hash could not be retrieved from "/tmp/yaourt-tmp-felip/aur-drupalconsole/src/drupal-console-lau
ncher-1.0.0-rc17": fatal: Not a git repository (or any parent up to mount point /tmp)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

sanduhrs commented on 2016-10-06 12:42

Upstream changed the packaging procedure. This package has been updated to reflect the changes.

sanduhrs commented on 2016-09-20 10:36

@haffmans why not pushing a drupalconsole-bin package then?

haffmans commented on 2016-09-17 21:00

After installing this and trying to run it, it throws an error saying "Something goes wrong with your package. Try downloading again". From within a Drupal installation root it complains it cannot find the Drupal\Console\Bootstrap\Drupal class.

The "official" version from https://github.com/hechoendrupal/DrupalConsole/releases/download/1.0.0-beta5/drupal.phar does work fine.

I changed the PKGBUILD to have these source/sha512sums lines to use this version instead:

source=("https://github.com/hechoendrupal/DrupalConsole/releases/download/1.0.0-beta5/drupal.phar")
sha512sums=('a1be170c29433f7b229b7fbe013a50dba027a8df2d41dc18258547d582d2626e4d9957f9b6c31e7d6894a702a038d6e17b20a9d9f5983a57a4a6081a65ea8585')

I also cleared out the build() step as it's no longer necessary. Added bonus: the official package is compressed.

See https://github.com/hechoendrupal/DrupalConsole/releases for the upstream compiled files for future updates.

sanduhrs commented on 2016-04-17 09:52

@zaurav unless you have some tool installed that resolves AUR dependencies automatically, you must install them manually one by one.
So just install https://aur.archlinux.org/packages/php-box/ first and then this package.

zaurav commented on 2016-04-17 01:18

Package doesnt compile because dependency can't be met: php-box